#pragma once

#include "CInSim\CInsim.h"
#include "WheelRangeSetter.h"
#include "ConFileReader.h"

class InSimConnection
{
public:
	InSimConnection(WheelRangeSetter*, ConfigLoader*);
	~InSimConnection(void);
	bool InitConnection(void);
	bool StartLoop(void);

private:
	void ProcessMSOPacket(void);

	CInsim* inSim;
	WheelRangeSetter* wRSetter;
	ConfigLoader* cfgLdr;
	ConFileReader* conReader;

	bool canRun;
	bool useWTFromLFS;

	unsigned int connAttempts;

	std::wstring ipAddress;
	std::wstring adminPass;
	word inSimPort;
};
